cpw.mods.fml.common.discovery.asm

## Class ModClassVisitor

- java.lang.Object
- - ClassVisitor
  - - cpw.mods.fml.common.discovery.asm.ModClassVisitor

-     public class ModClassVisitor
      extends ClassVisitor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModClassVisitor(ASMModParser discoverer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `visit(int version, int access, String name, String signature, String superName, String[] interfaces)`
    `AnnotationVisitor` | `visitAnnotation(String annotationName, boolean runtimeVisible)`
    `FieldVisitor` | `visitField(int access, String name, String desc, String signature, Object value)`
    `MethodVisitor` | `visitMethod(int access, String name, String desc, String signature, String[] exceptions)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModClassVisitor

          public ModClassVisitor(ASMModParser discoverer)

  - ### Method Detail

    - #### visit

          public void visit(int version,
                   int access,
                   String name,
                   String signature,
                   String superName,
                   String[] interfaces)

    - #### visitAnnotation

          public AnnotationVisitor visitAnnotation(String annotationName,
                                          boolean runtimeVisible)

    - #### visitField

          public FieldVisitor visitField(int access,
                                String name,
                                String desc,
                                String signature,
                                Object value)

    - #### visitMethod

          public MethodVisitor visitMethod(int access,
                                  String name,
                                  String desc,
                                  String signature,
                                  String[] exceptions)